Bug 1578134 - python2 subpackages not correctly obsoleted
Summary: python2 subpackages not correctly obsoleted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1578359
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 20:57 UTC by Adam Williamson
Modified: 2018-05-21 08:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 08:02:48 UTC


Attachments (Terms of Use)

Description Adam Williamson 2018-05-14 20:57:49 UTC
The abrt python2 subpackages are no longer built for Rawhide since https://src.fedoraproject.org/rpms/abrt/c/4f98a322c2469e567bc73ec240a745937241c5f7?branch=master , but they are not obsoleted by anything. This breaks upgrades unless --allowerasing is used. Removed packages should be properly obsoleted.

Comment 1 Charalampos Stratakis 2018-05-15 13:50:40 UTC
There is a discussion on fpc's issue tracker about the best way to go about that, please add your feedback there [0].

[0] https://pagure.io/packaging-committee/issue/754

Comment 2 Pavel Raiskup 2018-05-16 06:59:13 UTC
How looks the upgrade error?

Comment 3 Adam Williamson 2018-05-16 16:13:13 UTC
I don't have the exact errors any more (as I used --allowerasing, and dnf history doesn't seem to log this kind of case), but basically it fails because the upgrade transactions wants to install the newer versions of abrt, abrt-dbus and abrt-libs, but the old python2-abrt - which it has no reason to remove - wants the *old* versions. Passing '--allowerasing' tells dnf, in this kind of situation, to just remove any older package whose deps cannot be satisfied...which lets you get around this problem, but it's kind of a dangerous option as it can potentially cause something else you *didn't* want removed to be removed.

Comment 4 Matej Habrnal 2018-05-21 08:02:48 UTC
Done by https://bugzilla.redhat.com/show_bug.cgi?id=1578359


Note You need to log in before you can comment on or make changes to this bug.